textures/q_textures/q_sky
{
  qer_editorimage env/nebo/stormydays_up.tga
  surfaceparm noimpact
  surfaceparm nolightmap
  surfaceparm sky
  q3map_globaltexture
  q3map_lightmapFilterRadius 0 6
  q3map_sunExt 0.6 0.6 0.8 350 330 52 2 16
  q3map_surfacelight 175
  skyparms env/nebo/stormydays - -
} 

textures/q_textures/launchpad_jump
{
	
	qer_editorimage textures/q_textures/launchpad_diamond.jpg
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/q_textures/launchpad_diamond.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/q_textures/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	{ 
		animmap 4 textures/q_textures/launchpad_arrow.tga textures/q_textures/launchpad_arrow2.tga textures/q_textures/launchpad_arrow2.tga textures/q_textures/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

textures/q_textures/diamond2cjumppad
{
	qer_editorimage textures/q_textures/bouncepad01_diamond2cTGA.jpg
	surfaceparm nodamage
	q3map_lightimage textures/q_textures/jumppadsmall.tga	
	q3map_surfacelight 500

	
	{
		map textures/q_textures/bouncepad01_diamond2cTGA.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/q_textures/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/q_textures/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}

}

textures/q_textures/steklo
{
	qer_editorimage textures/q_textures/window_glare.jpg
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nodamage

	{
		map textures/q_textures/window_glare.jpg
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
}

textures/q_textures/light_5k
{
	qer_editorimage textures/q_textures/ceiling_light1.tga
	q3map_surfacelight 5000
	q3map_lightimage textures/realworld_light/flouresc.tga
	surfaceparm nolightmap

	{
		map textures/q_textures/white_light.jpg
		rgbGen identity
	}
}

textures/q_textures/parency
{
	qer_editorimage textures/q_textures/transparency2.tga
   cull disable
            
        {
                map textures/q_textures/transparency2.tga
                blendfunc GL_ONE GL_ONE
                tcMod scroll .1 .2
        }

}

textures/q_textures/parency2red
{
	qer_editorimage textures/q_textures/will_marble_highres_red.tga
   cull disable
            
        {
                map textures/q_textures/will_marble_highres_red.tga
                blendfunc GL_ONE GL_ONE
                tcMod scroll .1 .2
        }

}

textures/q_textures/parency2blue
{
	qer_editorimage textures/q_textures/will_marble_highres.tga
   cull disable
            
        {
                map textures/q_textures/will_marble_highres.tga
                blendfunc GL_ONE GL_ONE
                tcMod scroll .1 .2
        }

}

textures/q_textures/diamond2proto
{    

	qer_editorimage textures/q_textures/diamond2c_ow.tga
     surfaceparm	metalsteps	   
     
        {
		map textures/q_textures/proto_zzztblu2.tga
                tcMod turb 0 .5 0 9.6
                tcmod scale 2 2
                tcmod scroll 9 5
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		map textures/q_textures/diamond2c_ow.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/q_textures/beam02
{
		qer_editorimage textures/q_textures/beam.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
        nomipmaps
	{
		map textures/q_textures/beam.tga
                tcMod Scroll .3 0
                blendFunc GL_ONE GL_ONE
        }
     
}

textures/q_textures/ladderclip
{
	qer_editorimage textures/q_textures/ladderclip
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

textures/q_textures/marble_s
{
	qer_editorimage textures/q_textures/marble.jpg
	surfaceparm nolightmap
	surfaceparm nodamage

        {
                map textures/q_textures/marble.jpg
rgbGen const ( 0.20 0.23 0.24 )

		}
		
			{
		map textures/q_textures/marble.jpg
		tcmod scale .125 .125
		tcgen environment
		blendfunc gl_zero gl_src_color
	}

}


textures/q_textures/marble_s2
{
	qer_editorimage textures/q_textures/fd_app_wall.jpg
	surfaceparm nolightmap
	surfaceparm nodamage

        {
                map textures/q_textures/fd_app_wall.jpg
//rgbGen const ( 0.20 0.23 0.24 )

		}
		
			{
		map textures/q_textures/fd_app_wall.jpg
		tcmod scale .125 .125
		tcgen environment
		blendfunc gl_zero gl_src_color
	}

}

textures/q_textures/marble_s3
{
	qer_editorimage textures/q_textures/fd_app_wall.jpg
	surfaceparm nolightmap
	surfaceparm nodamage

        {
                map textures/q_textures/fd_app_wall.jpg
		}
		
			{
		map textures/q_textures/fd_app_wall.jpg
		tcmod scale .125 .125
		tcgen environment
		blendfunc gl_zero gl_src_color
	}
	
	{
	map $lightmap
	blendfunc gl_dst_color gl_zero
	rgbGen identity
	}

}

textures/q_textures/marble_stolb
{
	qer_editorimage textures/q_textures/marble.jpg

	surfaceparm nodamage
	
        {
        map textures/q_textures/marble.jpg
		}
		
	{
	map textures/q_textures/marble.jpg
	tcmod scale .125 .125
	tcgen environment
	blendfunc gl_zero gl_src_color
	}
	
	{
	map $lightmap
	blendfunc gl_dst_color gl_zero
	rgbGen identity
	}

}

textures/q_textures/detail-lift
{
	qer_editorimage textures/q_textures/detail-concrete-tiles.jpg
	surfaceparm nolightmap
	surfaceparm nodamage

        {
        map textures/q_textures/detail-concrete-tiles.jpg
		rgbGen const ( 0.7 0.75 0.8 )

		}
		
}

textures/q_textures/pol
{
	qer_editorimage textures/q_textures/flr_cemtilesmll_drk.jpg
	surfaceparm nodamage

        {
        map textures/q_textures/flr_cemtilesmll_drk.jpg
		}
		
	{
	map textures/q_textures/flr_cemtilesmll_drk.jpg
	tcmod scale .125 .125
	tcgen environment
	blendfunc gl_zero gl_src_color
	}
	
	{
	map $lightmap
	blendfunc gl_dst_color gl_zero
	rgbGen identity
	}

}

textures/q_textures/metal_lift_up
{
	qer_editorimage textures/q_textures/metal_plate.jpg
	surfaceparm nodamage

        {
        map textures/q_textures/metal_plate.jpg
		tcmod scale 4 4
		}
		
	{
	map textures/q_textures/will_marble_highres.tga
	tcmod scale .125 .125
	tcgen environment
	blendfunc gl_zero gl_src_color
	}
	
	{
	map $lightmap
	blendfunc gl_dst_color gl_zero
	rgbGen identity
	}

}

textures/q_textures/metal_smlift2
{
	qer_editorimage textures/q_textures/metal_plate.jpg
	surfaceparm nodamage
	surfaceparm	metalsteps
	surfaceparm nolightmap
        {
        map textures/q_textures/metal_plate.jpg
		rgbGen const ( 0.92 0.98 1.0 )
		tcmod scale 4 4
		}
		
		{
		map textures/q_textures/will_marble_highres.tga
		tcmod scale .1 .1
		tcgen environment
		blendfunc gl_zero gl_src_color
		}
}

textures/q_textures/metal_smlift
{
	qer_editorimage textures/q_textures/metal_plate.jpg
	surfaceparm nodamage
        {
        map textures/q_textures/metal_plate.jpg
		rgbGen const ( 0.92 0.98 1.0 )
		tcmod scale 8 8
		}
		
		{
		map textures/q_textures/will_marble_highres.tga
		tcmod scale .125 .125
		tcgen environment
		blendfunc gl_zero gl_src_color
		}

}

textures/q_textures/metalfloor_lift
{
	qer_editorimage textures/q_textures/metfloor_block_3.jpg
	surfaceparm nodamage

        {
        map textures/q_textures/metfloor_block_3.jpg
		}
		
	{
	map textures/q_textures/metfloor_block_3.jpg
	tcmod scale .125 .125
	tcgen environment
	blendfunc gl_zero gl_src_color
	}
	
	{
	map $lightmap
	blendfunc gl_dst_color gl_zero
	rgbGen identity
	}

}

textures/q_textures/baza_pol_1
{
	qer_editorimage textures/q_textures/metalfloor_wall_15.jpg
	surfaceparm nodamage
{
        map textures/q_textures/metalfloor_wall_15.jpg
	}
		
	{
		map textures/q_textures/metalfloor_wall_15.jpg
		tcmod scale .1 .1
		tcgen environment
		blendfunc gl_zero gl_src_color
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/q_textures/baza_pol_2
{
	qer_editorimage textures/q_textures/metfloor_block_3.jpg
	surfaceparm nodamage
    {
		map textures/q_textures/metfloor_block_3.jpg
	}
	{
		map textures/q_textures/metfloor_block_3.jpg
		tcmod scale .1 .1
		tcgen environment
		blendfunc gl_zero gl_src_color
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/q_textures/metal4_lift_up
{
	qer_editorimage textures/q_textures/metal4.jpg
	surfaceparm nodamage

        {
        map textures/q_textures/metal4.jpg
		tcmod scale 8 8
		}
		
	{
	map textures/q_textures/will_marble_highres.tga
	tcmod scale .125 .125
	tcgen environment
	blendfunc gl_zero gl_src_color
	}
	
	{
	map $lightmap
	blendfunc gl_dst_color gl_zero
	rgbGen identity
	}

}

textures/q_textures/portal
{
	qer_editorimage textures/q_textures/black.jpg
	surfaceparm nolightmap
	portal
	{
		map textures/q_textures/black.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 1000
		depthWrite
	}
}

textures/q_textures/borderlight
{
	qer_editorimage textures/q_textures/border11light.tga
	q3map_surfacelight 100
	Q3map_lightimage textures/q_textures/border11light.glow.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q_textures/border11light.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/q_textures/border11light.glow.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin .5 .5 0 10
	}
}

textures/q_textures/rusflag_tesla
{
	cull none
	q3map_lightimage textures/sfx/tesla1b.tga	
	q3map_surfacelight 100
	qer_editorimage textures/sfx/teslacoil.tga
	surfaceparm nolightmap
	
	qer_editorimage textures/q_textures/flagrus_1.jpg

	    {
        map textures/q_textures/flagrus_1.jpg
		}
		

	
	{
		map textures/q_textures/electricslime2.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}



	{
		map textures/q_textures/tesla1b.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	
}

textures/q_textures/usaflag_tesla
{
	cull none
	q3map_lightimage textures/sfx/tesla1b.tga	
	q3map_surfacelight 100
	qer_editorimage textures/sfx/teslacoil.tga
	surfaceparm nolightmap
	
	qer_editorimage textures/q_textures/flagusa_4.jpg

	    {
        map textures/q_textures/flagusa_4.jpg
		}
		

	
	{
		map textures/q_textures/electricslime2.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}



	{
		map textures/q_textures/tesla1b.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	
}